## falselogin 0.2-1

=== Makefile ===
LIBS = -lpub
C_ARGS = -Wall
CC = gcc
INS = /usr/bin/install

all:	falselogin

install: falselogin
	$(INS) -o root -g root -m 0755 -s falselogin debian/tmp/usr/bin/falselogin
	$(INS) -o root -g root -m 0644 falselogin.conf debian/tmp/etc/falselogin.conf
	$(INS) -o root -g root -m 0644 falselogin.1 debian/tmp/usr/man/man1/falselogin.1

clean:
	rm -f *.o
	rm falselogin

falselogin:	falselogin.o
	$(CC) -o falselogin falselogin.o $(LIBS)

falselogin.o:	falselogin.c
	$(CC) $(C_ARGS) -c falselogin.c

=== debian/changelog ===
falselogin (0.2-1) unstable; urgency=low

  * Closes Bug#54439

 -- Tibor Koleszar <oldw@debian.org>  Sat,  8 Jan 2000 20:30:06 +0200

falselogin (0.1e-1) unstable; urgency=low

  * Closes Bug#44164

 -- Tibor Koleszar <oldw@debian.org>  Wed,  8 Sep 1999 18:19:05 +0200

falselogin (0.1d-1) unstable; urgency=low

  * added --wait, check the manual.

 -- Tibor Koleszar <oldw@debian.org>  Mon,  8 Mar 1999 09:33:17 +0100

falselogin (0.1c-1) unstable; urgency=low

  * dpkg will not overwrite configuration file at install.

 -- Tibor Koleszar <oldw@debian.org>  Wed,  3 Feb 1999 23:49:59 +0100

falselogin (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Tibor Koleszar <t.koleszar@somogy.hu>  Thu, 28 Jan 1999 18:10:47 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: falselogin
Section: utils
Priority: optional
Maintainer: Tibor Koleszar <oldw@debian.org>
Standards-Version: 2.5.0

Package: falselogin
Architecture: any
Depends: ${shlibs:Depends}
Description: False login shell
 Strange kind of 'shell' which don't let the user to
 log in. Before the next login prompt falselogin gives
 some info to the user.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=falselogin

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## falselogin 0.2-4

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 install: falselogin
 	$(INS) -o root -g root -m 0755 -s falselogin debian/tmp/usr/bin/falselogin
 	$(INS) -o root -g root -m 0644 falselogin.conf debian/tmp/etc/falselogin.conf
-	$(INS) -o root -g root -m 0644 falselogin.1 debian/tmp/usr/man/man1/falselogin.1
 
 clean:
 	rm -f *.o

=== debian/changelog ===
falselogin (0.2-4) unstable; urgency=low

  * Document changelog entries properly (Closes Bug#81880)

 -- Tibor Koleszar <oldw@debian.org>  Tue,  6 Mar 2001 12:25:24 +0200

falselogin (0.2-3) unstable; urgency=low

  * Added "Build-Depends" into control file. (Closes Bug#81734, Bug#82008, Bug#84587)

 -- Tibor Koleszar <oldw@debian.org>  Tue,  6 Mar 2001 12:11:02 +0200

falselogin (0.2-2) unstable; urgency=low

  * Fixed typographical error in man page (Closes Bug#74107)

 -- Tibor Koleszar <oldw@debian.org>  Tue,  2 Jan 2001 15:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: falselogin
+Build-Depends: debmake, publib-dev
 Section: utils
 Priority: optional
 Maintainer: Tibor Koleszar <oldw@debian.org>
-Standards-Version: 2.5.0
+Standards-Version: 3.1.1
 
 Package: falselogin
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	debstd 
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## falselogin 0.2-5

=== debian/changelog ===
falselogin (0.2-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#358516); set maintainer to Debian QA Group.
  * falselogin.c:
    - Use a larger buffer for the Debian version.  Closes: #175530.
    - Handle an empty /etc/debian_version.
  * Makefile: Make the clean target idempotent.
  * Switch to debhelper, finishing the /usr/doc transition.
    Closes: #359408.
  * debian/copyright: Add full copyright statement.  Closes: #302958.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/log: Remove cruft.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu,  6 Apr 2006 08:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: falselogin
-Build-Depends: debmake, publib-dev
 Section: utils
 Priority: optional
-Maintainer: Tibor Koleszar <oldw@debian.org>
-Standards-Version: 3.1.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 5), publib-dev
 
 Package: falselogin
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

C_ARGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	C_ARGS += -O0
else
	C_ARGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) C_ARGS="$(C_ARGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/falselogin

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman debian/falselogin.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## falselogin 0.3

=== Makefile ===
LIBS = -lpub
C_ARGS = -Wall
CC = gcc
INS = /usr/bin/install

all:	falselogin

install: falselogin
	$(INS) -D -o root -g root -m 0755 -s falselogin $(DESTDIR)/usr/bin/falselogin
	$(INS) -D -o root -g root -m 0644 falselogin.conf $(DESTDIR)/etc/falselogin.conf

clean:
	rm -f *.o falselogin

falselogin:	falselogin.o
	$(CC) -o falselogin falselogin.o $(LIBS)

falselogin.o:	falselogin.c
	$(CC) $(C_ARGS) -c falselogin.c

=== debian/changelog ===
falselogin (0.3-4.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 19:37:40 +0000

falselogin (0.3-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root while building package explicit.
    (Closes: #1089324)

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Dec 2024 15:35:00 +0000

falselogin (0.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1043154)
  * d/copyright: Convert to machine-readable format.
  * README: Fix typo.

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #928065)

 -- Bastian Germann <bage@debian.org>  Sun, 07 Apr 2024 17:07:14 +0000

falselogin (0.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/rules: using 'dh_prep' instead of 'dh_clean -k' because the
        '-k' option is not supported since compat 12.
      - Closes: #965514
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999289)

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Tue, 23 Aug 2022 09:00:00 -0300

falselogin (0.3-4) unstable; urgency=low

  * New maintainer.
  * Adding NULL pointer validation when gets an user account entry from system.
    Patch by Petter Reinholdtsen (Closes: #473268)

 -- Kevin Zambrano <kevinjzc@gmail.com>  Thu, 24 Jul 2008 18:16:23 -0430

falselogin (0.3-3) unstable; urgency=low

  * Adding a wait option to the configuration file, patch by Cesare
    Leonardi (Closes: #448356)
  * Removing strip option from Makefile (Closes: #436830)
  * New comments in the configuration file.
  * Changing maintainer email.

 -- Jose Parrella <bureado@debian.org>  Wed, 19 Mar 2008 21:21:02 -0430

falselogin (0.3-2) unstable; urgency=low

  * Poor grammar in default configuration file (Closes: #386238)
  * Uploaded through sponsor Dominic Hargreaves <dom@debian.org>.

 -- Jose Parrella <joseparrella@cantv.net>  Wed,  6 Sep 2006 20:31:03 -0400

falselogin (0.3-1) unstable; urgency=low

  * New maintainer.
    Closes: #358516.
  * Uploaded through sponsor Thaddeus H. Black <thb@debian.org>.
  * Removed Build-depends on Etch/Sid debhelper.
  * In falselogin.c:
    - Solved segfault when arguments of --wait are not completely
      specified.  Closes: #369418.
    - Solved segfault when no mailbox is found for user.
    - Changed %mail% usage so now it will be substituted only by
      the number of mails, allowing the user to i18n the mail message.
    - Moved mail counting to a separate function so now it will be
      called if it's really needed in the conffile.
    - Moved calls to other functions into control structures so they
      will now be invoked if they're really needed.
    - Switched to strgsub in order to avoid possible buffer overruns.
    - Switched to getline to avoid undesirable line-handling issues.
  * Added debian/upstream.pl which produces new upstream orig files.
  * Updated manpage reflecting new behaviours.
  * Conforms to Standards version 3.7.2. (no changes)

 -- Jose Parrella <joseparrella@cantv.net>  Wed, 23 Aug 2006 00:14:27 -0400

=== debian/control ===
Source: falselogin
Section: utils
Priority: optional
Maintainer: Kevin Zambrano <kevinjzc@gmail.com>
Rules-Requires-Root: binary-targets
Standards-Version: 3.8.0
Build-Depends: debhelper-compat (= 13), publib-dev (>= 0.38-2)

Package: falselogin
Architecture: any
Depends: ${shlibs:Depends}
Description: false login shell
 Strange kind of 'shell' which don't let the user to
 log in. Before the next login prompt falselogin gives
 some info to the user.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-C_ARGS = -Wall -g
+C_ARGS=-W -Wall -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	C_ARGS += -O0
 else
@@ -11,9 +11,12 @@
 build-stamp:
 	dh_testdir
 
-	$(MAKE) C_ARGS="$(C_ARGS)"
+	dh_auto_build -- C_ARGS="$(C_ARGS)"
 
 	touch build-stamp
+
+upstream: clean
+	perl debian/upstream.pl
 
 clean:
 	dh_testdir
@@ -27,7 +30,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/falselogin
@@ -39,7 +42,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs changelog
 	dh_installdocs
 	dh_installman debian/falselogin.1
 	dh_link
@@ -53,4 +56,6 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+build-arch: build
+build-indep: build
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
